<?xml version="1.0" encoding="utf-8"?>

<!--
*********************************************************************************
BASIC! is an implementation of the Basic programming language for
Android devices.

Copyright (C) 2010 - 2014 Paul Laughton

This file is part of BASIC! for Android

    BASIC! is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    BASIC! is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with BASIC!.  If not, see <http://www.gnu.org/licenses/>.

    You may contact the author or current maintainers at http://rfobasic.freeforums.org

**********************************************************************************
-->
<resources>

	<style name="App_Theme">
		<item name="android:windowAnimationStyle">@style/NoAnim</item>
		<item name="android:windowActivityTransitions">false</item>
		<item name="android:actionBarSize">56dip</item>
		<item name="android:windowBackground">#FF000000</item>
		<item name="android:navigationBarColor">#00000000</item>
		<item name="android:enforceNavigationBarContrast">false</item>
		<item name="android:windowContentOverlay">@null</item>
	</style>

	<style name="Default_Theme" parent="App_Theme">
		<item name="android:fitsSystemWindows">true</item>
	</style>

	<style name="Full_Theme" parent="App_Theme">
        <item name="android:windowFullscreen">true</item>
	</style>

	<style name="Immersive_Theme" parent="App_Theme">
        <item name="android:windowFullscreen">true</item>
		<item name="android:windowTranslucentNavigation">true</item>
		<item name="android:windowLayoutInDisplayCutoutMode">always</item>
	</style>

	<style name="Search_Theme" parent="App_Theme">
		<item name="android:textAllCaps">false</item>
	</style>

	<style name="Prefs_Theme" parent="App_Theme">
	</style>

	<style name="Pre_Theme" parent="App_Theme">
		<item name="android:windowActionBar">false</item>
		<item name="android:windowTitleSize">0dp</item>
	</style>

	<style name="Dialog_Theme" parent="@android:style/Theme.Dialog">
		<item name="android:windowTitleSize">?android:attr/actionBarSize</item>
	</style>

	<style name="Hidden_Theme" parent="App_Theme">
        <item name="android:windowFullscreen">true</item>
		<item name="android:windowActionBar">false</item>
		<item name="android:windowNoTitle">true</item>
		<item name="android:windowBackground">@android:color/transparent</item>
		<item name="android:windowIsTranslucent">true</item>
		<item name="android:windowIsFloating">true</item>
		<item name="android:backgroundDimEnabled">false</item>
		<item name="android:windowMinWidthMajor">100%</item>
		<item name="android:windowMinWidthMinor">100%</item>
	</style>

	<style name="NoAnim">
		<item name="android:windowEnterAnimation">@anim/noanim</item>
		<item name="android:windowExitAnimation">@anim/noanim</item>
	</style>

	<style name="s_button">
		<item name="android:layout_width">0dip</item>
		<item name="android:layout_height">fill_parent</item>
		<item name="android:textSize">16dp</item>
	</style>

	<style name="s_label">
		<item name="android:textSize">16dp</item>
		<item name="android:textColor">#ffffff</item>
		<item name="android:background">#888888</item>
	</style>

	<style name="s_edit_text">
		<item name="android:textSize">18dp</item>
		<item name="android:textColor">#000000</item>
		<item name="android:background">#ffffff</item>
		<item name="android:textCursorDrawable">@null</item>
		<item name="android:paddingTop">1dip</item>
		<item name="android:paddingLeft">3dip</item>
		<item name="android:paddingBottom">3dip</item>
	</style>
</resources>
